//___________________________________________
//				Joshua Schapiro
//					rs232.h
//			  created: 08/27/2010
//			  updated:
//
//___________________________________________
#ifndef _RS232_H_
#define _RS232_H_

#include "tools.h"

void Rs232_Init(void);

bool Rs232_CharReadyToRead(void);
uint8_t Rs232_GetByte(bool blocking);
void Rs232_ClearBuffer(void);

void Rs232_SendByte(uint8_t data);
void Rs232_SendString(char string [],bool CR);

void rprintfNum(char base, char numDigits, char isSigned, char padchar, long n);


#endif